searchNodes=[{"ref":"NbaEx.html","title":"NbaEx","type":"module","doc":"Wrapper API for data.nba.net"},{"ref":"NbaEx.html#boxscore/2","title":"NbaEx.boxscore/2","type":"function","doc":"Returns the boxscore for a given date(YYYYMMDD) and game id. iex&gt; NbaEx.boxscore(&quot;20180316&quot;, &quot;0021701032&quot;) %Boxscore{ game: %Game{}, home_team_stats: %TeamStat{}, away_team_stats: %TeamStat{}, player_stats: [%PlayerStat{}] }"},{"ref":"NbaEx.html#coaches/0","title":"NbaEx.coaches/0","type":"function","doc":"Returns all of the coaches in the league. iex&gt; NbaEx.coaches() [ %NbaEx.Coach{ college: &quot;Oklahoma&quot;, firstName: &quot;Terry&quot;, isAssistant: true, lastName: &quot;Stotts&quot;, personId: &quot;1337&quot;, sortSequence: &quot;25&quot;, teamId: &quot;1610612757&quot; }, %NbaEx.Coach{ college: &quot;St. Bonaventure&quot;, firstName: &quot;David&quot;, isAssistant: false, lastName: &quot;Vanterpool&quot;, personId: &quot;203150&quot;, sortSequence: &quot;204&quot;, teamId: &quot;1610612757&quot; }, .... ]"},{"ref":"NbaEx.html#play_by_play/3","title":"NbaEx.play_by_play/3","type":"function","doc":"Returns individual plays for a specific period in a game. iex&gt; NbaEx.play_by_play(&quot;20180317&quot;, &quot;0021701044&quot;, 3) %NbaEx.PlayByPlay{ plays: [ %NbaEx.Play{ clock: &quot;12:00&quot;, description: &quot;Start Period&quot;, eventMsgType: &quot;12&quot;, hTeamScore: &quot;60&quot;, isScoreChange: false, isVideoAvailable: false, personId: &quot;&quot;, teamId: &quot;&quot;, vTeamScore: &quot;52&quot; }, .... ] }"},{"ref":"NbaEx.html#player_game_log/1","title":"NbaEx.player_game_log/1","type":"function","doc":"Returns statistics and game information for the specified player&#39;s last three games. iex&gt; NbaEx.player_game_log(&quot;1628432&quot;) [ %NbaEx.PlayerGameLog{ gameDateUTC: &quot;2018-03-15&quot;, gameId: &quot;0021701027&quot;, gameUrlCode: &quot;20180315/PHXUTA&quot;, hTeam: %NbaEx.TeamScore{ isWinner: true, score: &quot;116&quot;, teamId: &quot;1610612762&quot;, triCode: nil }, isHomeGame: false, stats: %NbaEx.PlayerStat{ assists: &quot;0&quot;, blocks: nil, defReb: &quot;2&quot;, ... } ]"},{"ref":"NbaEx.html#players/0","title":"NbaEx.players/0","type":"function","doc":"Returns a list of all active players. iex&gt; NbaEx.players() [ %NbaEx.Player{ collegeName: &quot;Texas&quot;, country: &quot;USA&quot;, dateOfBirthUTC: &quot;1985-07-19&quot;, firstName: &quot;LaMarcus&quot;, heightFeet: &quot;6&quot;, ... }, ... ]"},{"ref":"NbaEx.html#scoreboard/0","title":"NbaEx.scoreboard/0","type":"function","doc":"Returns the scoreboard for the current date in PST. iex&gt; NbaEx.scoreboard() %NbaEx.Scoreboard{ games: [ %NbaEx.Game{ arena: %NbaEx.Arena{ city: &quot;Milwaukee&quot;, country: &quot;USA&quot;, name: &quot;BMO Harris Bradley Center&quot;, stateAbbr: &quot;WI&quot; }, clock: &quot;&quot;, endTimeUTC: &quot;2018-03-17T23:34:00.000Z&quot;, ... }, ... ] }"},{"ref":"NbaEx.html#scoreboard_for/1","title":"NbaEx.scoreboard_for/1","type":"function","doc":"Returns the scoreboard for a given date. iex&gt; NbaEx.scoreboard_for(&quot;20180317&quot;) %NbaEx.Scoreboard{ games: [ %NbaEx.Game{ arena: %NbaEx.Arena{ city: &quot;Milwaukee&quot;, country: &quot;USA&quot;, name: &quot;BMO Harris Bradley Center&quot;, stateAbbr: &quot;WI&quot; }, clock: &quot;&quot;, endTimeUTC: &quot;2018-03-17T23:34:00.000Z&quot;, ... }, ... ] }"},{"ref":"NbaEx.html#team_leaders/1","title":"NbaEx.team_leaders/1","type":"function","doc":"Returns team leaders for each statistic. iex&gt; NbaEx.team_leaders(&quot;warriors&quot;) %NbaEx.TeamLeaders{ apg: [%NbaEx.Leader{personId: &quot;203110&quot;, value: &quot;7.4&quot;}], bpg: [%NbaEx.Leader{personId: &quot;201142&quot;, value: &quot;1.9&quot;}], fgp: [%NbaEx.Leader{personId: &quot;1628395&quot;, value: &quot;0.657&quot;}], ... }"},{"ref":"NbaEx.html#team_roster/1","title":"NbaEx.team_roster/1","type":"function","doc":"Returns list of players of specified team. iex&gt; NbaEx.team_roster(&quot;warriors&quot;) [ %NbaEx.Player{ personId: &quot;1628395&quot; }, ... ]"},{"ref":"NbaEx.html#team_schedule/1","title":"NbaEx.team_schedule/1","type":"function","doc":"Returns the schedule for a specified team. iex&gt; NbaEx.team_schedule(&quot;warriors&quot;) [ %NbaEx.Game{ arena: %NbaEx.Arena{city: nil, country: nil, name: nil, stateAbbr: nil}, clock: &quot;&quot;, endTimeUTC: &quot;&quot;, gameId: &quot;0011700001&quot;, ... }, ... ]"},{"ref":"NbaEx.html#teams/0","title":"NbaEx.teams/0","type":"function","doc":"Returns all of teams in the league. iex&gt; NbaEx.teams() [ %NbaEx.Team{ city: &quot;Atlanta&quot;, confName: &quot;East&quot;, divName: &quot;Southeast&quot;, fullName: &quot;Atlanta Hawks&quot;, isNBAFranchise: true, nickname: &quot;Hawks&quot;, teamId: &quot;1610612737&quot;, tricode: &quot;ATL&quot; }, ... ]"},{"ref":"NbaEx.html#teams_config/0","title":"NbaEx.teams_config/0","type":"function","doc":"Returns team colors, team id, tricode, etc.. iex&gt; NbaEx.teams_config() [ %NbaEx.TeamConfig{ primaryColor: &quot;#e21a37&quot;, secondaryColor: &quot;#e21a37&quot;, teamId: &quot;1610612737&quot;, tricode: &quot;ATL&quot;, ttsName: &quot;Atlanta Hawks&quot; }, ... ]"},{"ref":"NbaEx.CoachApi.html","title":"NbaEx.CoachApi","type":"module","doc":""},{"ref":"NbaEx.CoachApi.html#all/0","title":"NbaEx.CoachApi.all/0","type":"function","doc":""},{"ref":"NbaEx.GameApi.html","title":"NbaEx.GameApi","type":"module","doc":""},{"ref":"NbaEx.GameApi.html#get_boxscore/2","title":"NbaEx.GameApi.get_boxscore/2","type":"function","doc":""},{"ref":"NbaEx.GameApi.html#get_scoreboard/0","title":"NbaEx.GameApi.get_scoreboard/0","type":"function","doc":""},{"ref":"NbaEx.GameApi.html#get_scoreboard/1","title":"NbaEx.GameApi.get_scoreboard/1","type":"function","doc":""},{"ref":"NbaEx.GameApi.html#play_by_play/3","title":"NbaEx.GameApi.play_by_play/3","type":"function","doc":""},{"ref":"NbaEx.PlayerApi.html","title":"NbaEx.PlayerApi","type":"module","doc":""},{"ref":"NbaEx.PlayerApi.html#all/0","title":"NbaEx.PlayerApi.all/0","type":"function","doc":""},{"ref":"NbaEx.PlayerApi.html#game_log/1","title":"NbaEx.PlayerApi.game_log/1","type":"function","doc":""},{"ref":"NbaEx.TeamApi.html","title":"NbaEx.TeamApi","type":"module","doc":""},{"ref":"NbaEx.TeamApi.html#all/0","title":"NbaEx.TeamApi.all/0","type":"function","doc":""},{"ref":"NbaEx.TeamApi.html#team_leaders/1","title":"NbaEx.TeamApi.team_leaders/1","type":"function","doc":""},{"ref":"NbaEx.TeamApi.html#team_roster/1","title":"NbaEx.TeamApi.team_roster/1","type":"function","doc":""},{"ref":"NbaEx.TeamApi.html#team_schedule/1","title":"NbaEx.TeamApi.team_schedule/1","type":"function","doc":""},{"ref":"NbaEx.TeamApi.html#teams_config/0","title":"NbaEx.TeamApi.teams_config/0","type":"function","doc":""},{"ref":"NbaEx.Utils.html","title":"NbaEx.Utils","type":"module","doc":""},{"ref":"NbaEx.Utils.html#build_url/1","title":"NbaEx.Utils.build_url/1","type":"function","doc":""},{"ref":"NbaEx.Utils.html#build_url/2","title":"NbaEx.Utils.build_url/2","type":"function","doc":""},{"ref":"NbaEx.Utils.html#build_url/3","title":"NbaEx.Utils.build_url/3","type":"function","doc":""},{"ref":"NbaEx.Utils.html#build_url/4","title":"NbaEx.Utils.build_url/4","type":"function","doc":""},{"ref":"NbaEx.Utils.html#current_date/0","title":"NbaEx.Utils.current_date/0","type":"function","doc":""}]